package com.jrl.fuelprice.data.commons

import android.content.Context
import androidx.room.Room
import androidx.test.core.app.ApplicationProvider
import com.jrl.fuelprice.data.commons.db.FuelPriceDb
import org.junit.After
import org.junit.Before
import java.io.IOException

abstract class AbsDaoTest {
    
    protected lateinit var db: FuelPriceDb
    
    @Before
    open fun createDb() {
        val context = ApplicationProvider.getApplicationContext<Context>()
        db = Room
            .databaseBuilder(context, FuelPriceDb::class.java, "fuel_price.db")
            .createFromAsset("db/fuel_price.db")
            .build()
    }
    
    @After
    @Throws(IOException::class)
    fun closeDb() {
        db.close()
    }
}