package com.jrl.fuelprice.data.gasstations.db.dao

import androidx.test.ext.junit.runners.AndroidJUnit4
import com.jrl.fuelprice.data.commons.AbsDaoTest
import com.jrl.fuelprice.data.gasstations.db.entities.GasStationDbModelTest
import com.jrl.fuelprice.data.gasstations.db.entities.GasStationWithBrandDbModel
import io.kotest.matchers.shouldBe
import org.junit.Before
import org.junit.Test
import org.junit.runner.RunWith

@RunWith(AndroidJUnit4::class)
class GasStationDaoTest : AbsDaoTest() {
    
    private lateinit var gasStationDao: GasStationDao
    
    @Before
    override fun createDb() {
        super.createDb()
        gasStationDao = db.gasStationDao()
    }
    
    @Test
    @Throws(Exception::class)
    fun testGasStationsDao() {
        // 🔵 Given //
        val expectedGasStation = GasStationDbModelTest.fake()
        val fuelTypeText = "diesel_a"
        gasStationDao.insert(gasStation = GasStationDbModelTest.fake())
        
        // 🟡 When //
        val gasStationWithBrandDbModel: GasStationWithBrandDbModel = gasStationDao.getGasStationById(
            id = expectedGasStation.id,
            fuelType = fuelTypeText,
            latitude = expectedGasStation.place.latitude,
            longitude = expectedGasStation.place.longitude,
        )
        
        // 🟢 Then //
        gasStationWithBrandDbModel.gasStationDbModel.shouldBe(expectedGasStation)
    }
}