package com.jrl.fuelprice.data.rating.db.dao

import androidx.test.ext.junit.runners.AndroidJUnit4
import com.jrl.fuelprice.data.commons.AbsDaoTest
import com.jrl.fuelprice.data.rating.db.entities.RatingDbModel
import com.jrl.fuelprice.data.rating.db.entities.RatingDbModelTest
import com.jrl.fuelprice.data.rating.db.entities.RatingTypeDbEnum
import io.kotest.matchers.shouldBe
import org.junit.Before
import org.junit.Test
import org.junit.runner.RunWith

@RunWith(AndroidJUnit4::class)
class RatingDaoTest : AbsDaoTest() {
    
    private lateinit var ratingDao: RatingDao
    
    @Before
    override fun createDb() {
        super.createDb()
        ratingDao = db.ratingDao()
    }
    
    @Test
    @Throws(Exception::class)
    fun testRatingDao() {
        // 🔵 Given //
        val fakeId = 1
        val fakeType = RatingTypeDbEnum.GAS_STATION
        val expectedRating = RatingDbModelTest.fake().copy(
            itemId = fakeId,
            type = fakeType,
        )
        ratingDao.insertAll(gasStations = listOf(expectedRating))
        
        // 🟡 When //
        val actualRating: RatingDbModel = ratingDao.getByIdAndType(
            itemId = fakeId,
            type = fakeType,
        )
        
        // 🟢 Then //
        actualRating.shouldBe(expectedRating)
    }
}