package com.jrl.fuelprice.data.alerts.local

import com.jrl.fuelprice.data.alerts.local.entities.AlertDbModel
import com.jrl.fuelprice.data.alerts.local.entities.AlertGasStationDbModel
import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import kotlinx.coroutines.flow.Flow

interface AlertLocalSource {
    
    suspend fun getFavorites(
        fuelType: FuelTypeDomainEnum,
        location: LocationDomainModel?,
    ): Flow<List<AlertGasStationDbModel>>
    
    suspend fun saveAlert(vararg alert: AlertDbModel)
    
    suspend fun removeAlert(alert: AlertDbModel)
    
    suspend fun updateAlert(alert: AlertDbModel)
}