package com.jrl.fuelprice.data.alerts.local.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import com.jrl.fuelprice.data.gasstations.db.entities.FuelTypeDbEnum
import com.jrl.fuelprice.domain.alerts.models.AlertDomainModel

@Entity(
    tableName = "alerts",
    primaryKeys = ["fuel_type", "gas_station_id"],
)
data class AlertDbModel(
    @ColumnInfo(name = "fuel_type") val fuelType: FuelTypeDbEnum,
    @ColumnInfo(name = "gas_station_id") val gasStationId: Int,
    @ColumnInfo(name = "gas_station_name") val gasStationName: String,
    @ColumnInfo(name = "is_enabled") val isEnabled: Boolean,
) {
    
    companion object {
        fun AlertDomainModel.toDb(): AlertDbModel {
            return AlertDbModel(
                fuelType = FuelTypeDbEnum.toDb(this.fuelType),
                gasStationId = this.gasStationId,
                gasStationName = this.gasStationName,
                isEnabled = this.isEnabled,
            )
        }
    }
}