package com.jrl.fuelprice.data.alerts.local.entities

import androidx.room.ColumnInfo
import androidx.room.Embedded
import androidx.room.Relation
import com.jrl.fuelprice.data.gasstations.db.entities.BrandDbModel
import com.jrl.fuelprice.data.gasstations.db.entities.GasStationDbModel
import com.jrl.fuelprice.data.gasstations.db.entities.GasStationDbModel.Companion.toAlertDomain
import com.jrl.fuelprice.domain.alerts.models.AlertGasStationDomainModel
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel

data class AlertGasStationDbModel(
    @ColumnInfo(name = "is_enabled") val isEnabled: Boolean,
    @Embedded val gasStationDbModel: GasStationDbModel,
    @Relation(parentColumn = "brand_id", entityColumn = "id") val brandDbModel: BrandDbModel,
    @ColumnInfo(name = "distance_km") val distanceKm: Double,
) {
    fun toDomain(
        currentLocation: LocationDomainModel?,
    ): AlertGasStationDomainModel? {
        val brand = brandDbModel.toDomain() ?: return null
        return gasStationDbModel.toAlertDomain(
            brand = brand,
            currentLocation = currentLocation,
            isEnabled = isEnabled,
        )
    }
}