package com.jrl.fuelprice.data.alerts.remote.models

import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum

enum class AlertFirestoreFuelTypeEnum(val value: Int) {
    BIODIESEL(1),
    DIESEL_A(2),
    DIESEL_B(3),
    DIESEL_PREMIUM(4),
    GASOLINE_95_E5(5),
    GASOLINE_95_E5_PREMIUM(6),
    GASOLINE_95_E10(7),
    GASOLINE_98_E5(8),
    GASOLINE_98_E10(9),
    HYDROGEN(10),
    ;
    
    companion object {
        fun FuelTypeDomainEnum.toFirestore(): AlertFirestoreFuelTypeEnum =
            when (this) {
                FuelTypeDomainEnum.BIODIESEL -> BIODIESEL
                FuelTypeDomainEnum.DIESEL_A -> DIESEL_A
                FuelTypeDomainEnum.DIESEL_B -> DIESEL_B
                FuelTypeDomainEnum.DIESEL_PREMIUM -> DIESEL_PREMIUM
                FuelTypeDomainEnum.GASOLINE_95_E5 -> GASOLINE_95_E5
                FuelTypeDomainEnum.GASOLINE_95_E5_PREMIUM -> GASOLINE_95_E5_PREMIUM
                FuelTypeDomainEnum.GASOLINE_95_E10 -> GASOLINE_95_E10
                FuelTypeDomainEnum.GASOLINE_98_E5 -> GASOLINE_98_E5
                FuelTypeDomainEnum.GASOLINE_98_E10 -> GASOLINE_98_E10
                FuelTypeDomainEnum.HYDROGEN -> HYDROGEN
            }
        
        fun toDomain(value: Int): FuelTypeDomainEnum? =
            when (value) {
                BIODIESEL.value -> FuelTypeDomainEnum.BIODIESEL
                DIESEL_A.value -> FuelTypeDomainEnum.DIESEL_A
                DIESEL_B.value -> FuelTypeDomainEnum.DIESEL_B
                DIESEL_PREMIUM.value -> FuelTypeDomainEnum.DIESEL_PREMIUM
                GASOLINE_95_E5.value -> FuelTypeDomainEnum.GASOLINE_95_E5
                GASOLINE_95_E5_PREMIUM.value -> FuelTypeDomainEnum.GASOLINE_95_E5_PREMIUM
                GASOLINE_95_E10.value -> FuelTypeDomainEnum.GASOLINE_95_E10
                GASOLINE_98_E5.value -> FuelTypeDomainEnum.GASOLINE_98_E5
                GASOLINE_98_E10.value -> FuelTypeDomainEnum.GASOLINE_98_E10
                HYDROGEN.value -> FuelTypeDomainEnum.HYDROGEN
                else -> null
            }
    }
}