package com.jrl.fuelprice.data.commons

import android.content.Context
import com.google.android.libraries.places.api.Places
import com.google.android.libraries.places.api.net.PlacesClient
import com.google.firebase.firestore.FirebaseFirestore
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.qualifiers.ApplicationContext
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)
object CommonsDataModule {
    
    @Provides
    fun providesFirestore() = FirebaseFirestore.getInstance()
    
    @Provides
    fun providesPlacesClient(
        @ApplicationContext context: Context,
    ): PlacesClient = Places.createClient(context)
}