package com.jrl.fuelprice.data.commons.db

import androidx.room.Database
import androidx.room.RoomDatabase
import androidx.room.TypeConverters
import com.jrl.fuelprice.data.alerts.local.dao.AlertDao
import com.jrl.fuelprice.data.alerts.local.entities.AlertDbModel
import com.jrl.fuelprice.data.commons.db.converters.DiscountTypeConverter
import com.jrl.fuelprice.data.commons.db.converters.LocalDateTimeConverter
import com.jrl.fuelprice.data.discounts.db.dao.DiscountDao
import com.jrl.fuelprice.data.discounts.db.entities.DiscountDbModel
import com.jrl.fuelprice.data.gasstations.db.converters.FuelTypeDbConverter
import com.jrl.fuelprice.data.gasstations.db.converters.SaleTypeConverter
import com.jrl.fuelprice.data.gasstations.db.dao.BrandDao
import com.jrl.fuelprice.data.gasstations.db.dao.GasStationDao
import com.jrl.fuelprice.data.gasstations.db.entities.BrandDbModel
import com.jrl.fuelprice.data.gasstations.db.entities.GasStationDbModel
import com.jrl.fuelprice.data.rating.db.converters.RatingTypeConverter
import com.jrl.fuelprice.data.rating.db.dao.RatingDao
import com.jrl.fuelprice.data.rating.db.entities.RatingDbModel

@Database(
    entities = [
        AlertDbModel::class,
        BrandDbModel::class,
        DiscountDbModel::class,
        GasStationDbModel::class,
        RatingDbModel::class,
    ],
    version = 1,
)
@TypeConverters(
    FuelTypeDbConverter::class,
    DiscountTypeConverter::class,
    LocalDateTimeConverter::class,
    SaleTypeConverter::class,
    RatingTypeConverter::class,
)
abstract class FuelPriceDb : RoomDatabase() {
    abstract fun alertDao(): AlertDao
    abstract fun brandDao(): BrandDao
    abstract fun discountDao(): DiscountDao
    abstract fun gasStationDao(): GasStationDao
    abstract fun ratingDao(): RatingDao
}