package com.jrl.fuelprice.data.commons.extensions

import com.jrl.fuelprice.data.commons.exceptions.ApiException
import retrofit2.Response

fun <T> Response<T>.handleApiResponse(): Result<T> {
    val responseBody = body()
    return if (isSuccessful && responseBody != null) {
        Result.success(responseBody)
    } else {
        Result.failure(ApiException(code(), message()))
    }
}