package com.jrl.fuelprice.data.discounts

import com.jrl.fuelprice.data.discounts.db.DiscountsDbSource
import com.jrl.fuelprice.domain.discounts.DiscountsRepository
import com.jrl.fuelprice.domain.discounts.models.DiscountDomainModel
import javax.inject.Inject

class DiscountsRepositoryImpl @Inject constructor(
    private val dbSource: DiscountsDbSource,
) : DiscountsRepository {
    
    override suspend fun getDiscounts(): Result<List<DiscountDomainModel>> =
        runCatching {
            dbSource.getDiscounts().mapNotNull { it.toDomain() }
        }
    
    override suspend fun updateDiscount(
        discountId: Int,
        isActive: Boolean,
    ) {
        dbSource.updateDiscount(discountId, isActive)
    }
}