package com.jrl.fuelprice.data.discounts.db

import com.jrl.fuelprice.data.discounts.db.dao.DiscountDao
import com.jrl.fuelprice.data.discounts.db.entities.DiscountsWithBrandDbModel

class DiscountsDbSourceImpl(
    private val dao: DiscountDao,
) : DiscountsDbSource {
    
    override fun getDiscounts(): List<DiscountsWithBrandDbModel> = dao.getDiscounts()
    
    override fun getActiveDiscounts(): List<DiscountsWithBrandDbModel> = dao.getActiveDiscounts()
    
    override fun updateDiscount(
        discountId: Int,
        isActive: Boolean
    ) {
        dao.update(discountId, isActive)
    }
}