package com.jrl.fuelprice.data.discounts.db.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.jrl.fuelprice.data.discounts.db.entities.DiscountTypeDbEnum.Companion.toDomain
import com.jrl.fuelprice.domain.discounts.models.DiscountDomainModel
import com.jrl.fuelprice.domain.gasstations.models.BrandDomainModel

@Entity(tableName = "discounts")
data class DiscountDbModel(
    @PrimaryKey(autoGenerate = true) @ColumnInfo(name = "id") val id: Int = 0,
    @ColumnInfo(name = "brand_id") val brandId: Int,
    @ColumnInfo(name = "name") val name: String,
    @ColumnInfo(name = "description") val description: String,
    @ColumnInfo(name = "recipient") val recipient: String,
    @ColumnInfo(name = "value") val value: Int,
    @ColumnInfo(name = "type") val type: DiscountTypeDbEnum,
    @ColumnInfo(name = "is_active") val isActive: Boolean,
) {
    
    companion object {
        fun DiscountDbModel.toDomain(brand: BrandDomainModel): DiscountDomainModel =
            DiscountDomainModel(
                id = id,
                brand = brand,
                name = name,
                description = description,
                recipient = recipient,
                value = value,
                type = type.toDomain(),
                isActive = isActive,
            )
    }
}