package com.jrl.fuelprice.data.discounts.db.entities

import com.jrl.fuelprice.domain.discounts.models.DiscountTypeDomainEnum

enum class DiscountTypeDbEnum(val value: Int) {
    CENTS(0),
    PERCENTAGE(1),
    ;
    
    companion object {
        fun DiscountTypeDbEnum.toDomain(): DiscountTypeDomainEnum =
            when (this) {
                CENTS -> DiscountTypeDomainEnum.CENTS
                PERCENTAGE -> DiscountTypeDomainEnum.PERCENTAGE
            }
        
        fun DiscountTypeDomainEnum.toDb(): DiscountTypeDbEnum =
            when (this) {
                DiscountTypeDomainEnum.CENTS -> CENTS
                DiscountTypeDomainEnum.PERCENTAGE -> PERCENTAGE
            }
    }
}