package com.jrl.fuelprice.data.discounts.db.entities

import androidx.room.Embedded
import androidx.room.Relation
import com.jrl.fuelprice.data.discounts.db.entities.DiscountDbModel.Companion.toDomain
import com.jrl.fuelprice.data.gasstations.db.entities.BrandDbModel
import com.jrl.fuelprice.domain.discounts.models.DiscountDomainModel

data class DiscountsWithBrandDbModel(
    @Embedded val discount: DiscountDbModel,
    @Relation(parentColumn = "brand_id", entityColumn = "id") val brand: BrandDbModel,
) {
    fun toDomain(): DiscountDomainModel? {
        val brand = brand.toDomain() ?: return null
        return discount.toDomain(
            brand = brand,
        )
    }
}