package com.jrl.fuelprice.data.discounts.di

import com.jrl.fuelprice.data.discounts.DiscountsRepositoryImpl
import com.jrl.fuelprice.data.discounts.db.DiscountsDbSource
import com.jrl.fuelprice.data.discounts.db.DiscountsDbSourceImpl
import com.jrl.fuelprice.data.discounts.db.dao.DiscountDao
import com.jrl.fuelprice.domain.discounts.DiscountsRepository
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)
object DiscountsDataModule {
    
    @Provides
    fun providesDiscountsRepository(
        discountsDbSource: DiscountsDbSource,
    ): DiscountsRepository = DiscountsRepositoryImpl(
        dbSource = discountsDbSource,
    )
    
    @Provides
    fun providesDiscountsDbSource(
        discountDao: DiscountDao,
    ): DiscountsDbSource = DiscountsDbSourceImpl(
        dao = discountDao,
    )
}