package com.jrl.fuelprice.data.gasstations.db.entities

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.Index
import androidx.room.PrimaryKey
import com.jrl.fuelprice.domain.gasstations.models.BrandDomainModel

@Entity(
    tableName = "brands",
    indices = [Index(value = ["name"], unique = true)],
)
data class BrandDbModel(
    @PrimaryKey(autoGenerate = true) @ColumnInfo(name = "id") val id: Int = 0,
    @ColumnInfo(name = "name") val name: String,
) {
    fun toDomain(): BrandDomainModel? =
        try {
            BrandDomainModel(
                id = id,
                name = name,
            )
        } catch (e: Exception) {
            null
        }
}