package com.jrl.fuelprice.data.gasstations.db.entities

import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum

enum class FuelTypeDbEnum(val value: Int) {
    BIODIESEL(0),
    DIESEL_A(1),
    DIESEL_B(2),
    DIESEL_PREMIUM(3),
    GASOLINE_95_E5(4),
    GASOLINE_95_E5_PREMIUM(5),
    GASOLINE_95_E10(6),
    GASOLINE_98_E5(7),
    GASOLINE_98_E10(8),
    HYDROGEN(9),
    ;

    companion object {
        fun toDb(fuelType: FuelTypeDomainEnum): FuelTypeDbEnum =
            when (fuelType) {
                FuelTypeDomainEnum.BIODIESEL -> BIODIESEL
                FuelTypeDomainEnum.DIESEL_A -> DIESEL_A
                FuelTypeDomainEnum.DIESEL_B -> DIESEL_B
                FuelTypeDomainEnum.DIESEL_PREMIUM -> DIESEL_PREMIUM
                FuelTypeDomainEnum.GASOLINE_95_E5 -> GASOLINE_95_E5
                FuelTypeDomainEnum.GASOLINE_95_E5_PREMIUM -> GASOLINE_95_E5_PREMIUM
                FuelTypeDomainEnum.GASOLINE_95_E10 -> GASOLINE_98_E10
                FuelTypeDomainEnum.GASOLINE_98_E5 -> GASOLINE_95_E5
                FuelTypeDomainEnum.GASOLINE_98_E10 -> GASOLINE_98_E10
                FuelTypeDomainEnum.HYDROGEN -> HYDROGEN
            }
    }
}