package com.jrl.fuelprice.data.gasstations.remote

import com.jrl.fuelprice.data.commons.extensions.handleApiResponse
import com.jrl.fuelprice.data.gasstations.remote.models.GasStationResponse
import javax.inject.Inject

class GasStationRemoteSourceImpl @Inject constructor(
    private val api: GasStationApi,
) : GasStationRemoteSource {

    override suspend fun getStations(): Result<List<GasStationResponse>> {
        return api
            .getGasStations()
            .handleApiResponse()
            .mapCatching { it.gasStations }
    }
}