package com.jrl.fuelprice.data.gasstations.remote.models

import com.jrl.fuelprice.data.gasstations.db.entities.SaleTypeDbEnum
import com.jrl.fuelprice.domain.gasstations.models.SaleTypeDomainEnum

enum class SaleTypeResponse(val type: String) {
    PUBLIC("P"),
    PRIVATE("R"),
    ;
    
    companion object {
        fun toDb(type: String?): SaleTypeDbEnum? =
            when (type) {
                PUBLIC.type -> SaleTypeDbEnum.PUBLIC
                PRIVATE.type -> SaleTypeDbEnum.PRIVATE
                else -> null
            }
        
        fun toDomain(type: String?): SaleTypeDomainEnum? =
            when (type) {
                PUBLIC.type -> SaleTypeDomainEnum.PUBLIC
                PRIVATE.type -> SaleTypeDomainEnum.PRIVATE
                else -> null
            }
    }
}