package com.jrl.fuelprice.data.messaging.di

import com.jrl.fuelprice.data.commons.local.sharedpreferences.PreferencesManager
import com.jrl.fuelprice.data.messaging.MessagingRepositoryImpl
import com.jrl.fuelprice.data.messaging.local.MessagingLocalSource
import com.jrl.fuelprice.data.messaging.local.MessagingLocalSourceImpl
import com.jrl.fuelprice.domain.messaging.MessagingRepository
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)
object MessagingDataModule {
    
    @Provides
    fun providesGasStationRepository(
        messagingLocalSource: MessagingLocalSource,
    ): MessagingRepository = MessagingRepositoryImpl(
        localSource = messagingLocalSource,
    )
    
    @Provides
    fun providesMessagingLocalSource(
        preferencesManager: PreferencesManager
    ): MessagingLocalSource = MessagingLocalSourceImpl(preferencesManager = preferencesManager)
}