package com.jrl.fuelprice.data.messaging.local

import com.jrl.fuelprice.data.commons.local.sharedpreferences.PreferencesManager
import javax.inject.Inject

class MessagingLocalSourceImpl @Inject constructor(
    private val preferencesManager: PreferencesManager
) : MessagingLocalSource {
    
    companion object {
        const val KEY_TOKEN = "token"
    }
    
    override fun saveToken(token: String) {
        preferencesManager.saveData(KEY_TOKEN, token)
    }
    
    override fun getToken(): String? {
        return preferencesManager.getData(KEY_TOKEN, "").ifEmpty { null }
    }
}