package com.jrl.fuelprice.data.places.di

import com.google.android.libraries.places.api.net.PlacesClient
import com.jrl.fuelprice.data.places.PlacesRepositoryImpl
import com.jrl.fuelprice.data.places.remote.PlacesRemoteSource
import com.jrl.fuelprice.data.places.remote.PlacesRemoteSourceImpl
import com.jrl.fuelprice.domain.places.PlacesRepository
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)
object PlacesDataModule {
    
    @Provides
    fun providesPlacesRemoteSource(
        api: PlacesClient,
    ): PlacesRemoteSource = PlacesRemoteSourceImpl(
        api = api,
    )
    
    @Provides
    fun providesRatingDbSource(
        remoteSource: PlacesRemoteSource,
    ): PlacesRepository = PlacesRepositoryImpl(
        remoteSource = remoteSource,
    )
}