package com.jrl.fuelprice.data.rating.db.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import androidx.room.Transaction
import com.jrl.fuelprice.data.rating.db.entities.RatingDbModel
import com.jrl.fuelprice.data.rating.db.entities.RatingTypeDbEnum

@Dao
interface RatingDao {
    
    @Query("SELECT * FROM ratings WHERE item_id = :itemId AND type = :type LIMIT 1")
    fun getByIdAndType(
        itemId: Int,
        type: RatingTypeDbEnum
    ): RatingDbModel
    
    @Transaction
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insertAll(gasStations: List<RatingDbModel>)
}