package com.jrl.fuelprice.data.rating.db.entities

import com.jrl.fuelprice.data.rating.firestore.models.RatingFirestoreModel.Companion.RATING_TYPE_BRAND
import com.jrl.fuelprice.data.rating.firestore.models.RatingFirestoreModel.Companion.RATING_TYPE_GAS_STATION
import com.jrl.fuelprice.domain.rating.RatingTypeDomainEnum

enum class RatingTypeDbEnum(val value: Int) {
    GAS_STATION(RATING_TYPE_GAS_STATION),
    BRAND(RATING_TYPE_BRAND),
    ;
    
    companion object {
        fun RatingTypeDbEnum.toDomain(): RatingTypeDomainEnum =
            when (this) {
                GAS_STATION -> RatingTypeDomainEnum.GAS_STATION
                BRAND -> RatingTypeDomainEnum.BRAND
            }
        
        fun RatingTypeDomainEnum.toDb(): RatingTypeDbEnum =
            when (this) {
                RatingTypeDomainEnum.GAS_STATION -> GAS_STATION
                RatingTypeDomainEnum.BRAND -> BRAND
            }
        
        fun Int.fromNumberToDb(): RatingTypeDbEnum =
            when (this) {
                0 -> GAS_STATION
                1 -> BRAND
                else -> throw IllegalArgumentException("Invalid rating type")
            }
    }
}