package com.jrl.fuelprice.data.rating.di

import com.google.firebase.firestore.FirebaseFirestore
import com.jrl.fuelprice.data.commons.local.sharedpreferences.PreferencesManager
import com.jrl.fuelprice.data.rating.db.RatingDbSource
import com.jrl.fuelprice.data.rating.db.RatingDbSourceImpl
import com.jrl.fuelprice.data.rating.db.dao.RatingDao
import com.jrl.fuelprice.data.rating.firestore.RatingRemoteSource
import com.jrl.fuelprice.data.rating.firestore.RatingRemoteSourceImpl
import com.jrl.fuelprice.data.rating.local.RatingLocalSource
import com.jrl.fuelprice.data.rating.local.RatingLocalSourceImpl
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)
object RatingDataModule {
    
    @Provides
    fun providesRatingLocalSource(
        preferencesManager: PreferencesManager,
    ): RatingLocalSource = RatingLocalSourceImpl(
        preferencesManager = preferencesManager,
    )
    
    @Provides
    fun providesRatingDbSource(
        ratingDao: RatingDao,
    ): RatingDbSource = RatingDbSourceImpl(
        dao = ratingDao,
    )
    
    @Provides
    fun providesRatingRemoteSource(
        firestore: FirebaseFirestore,
    ): RatingRemoteSource = RatingRemoteSourceImpl(
        firestore = firestore,
    )
}