package com.jrl.fuelprice.data.vehicledetails

import com.jrl.fuelprice.data.vehicledetails.local.VehicleDetailsLocalSource
import com.jrl.fuelprice.domain.vehicledetails.VehicleDetailsRepository
import com.jrl.fuelprice.domain.vehicledetails.models.VehicleDetailsDomainModel
import javax.inject.Inject

class VehicleDetailsRepositoryImpl @Inject constructor(
    private val localSource: VehicleDetailsLocalSource,
) : VehicleDetailsRepository {
    
    override suspend fun getVehicleDetails(): Result<VehicleDetailsDomainModel> =
        localSource.getVehicleDetails().let { Result.success(it) }
    
    override suspend fun saveConsumption(value: Double) {
        localSource.saveConsumption(value)
    }
    
    override suspend fun saveTank(value: Int) {
        localSource.saveTank(value)
    }
}