package com.jrl.fuelprice.data.vehicledetails.di

import com.jrl.fuelprice.data.commons.local.sharedpreferences.PreferencesManager
import com.jrl.fuelprice.data.vehicledetails.VehicleDetailsRepositoryImpl
import com.jrl.fuelprice.data.vehicledetails.local.VehicleDetailsLocalSource
import com.jrl.fuelprice.data.vehicledetails.local.VehicleDetailsLocalSourceImpl
import com.jrl.fuelprice.domain.vehicledetails.VehicleDetailsRepository
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent

@Module
@InstallIn(SingletonComponent::class)
object VehicleDetailsDataModule {
    
    @Provides
    fun providesVehicleDetailsRepository(
        vehicleDetailsLocalSource: VehicleDetailsLocalSource,
    ): VehicleDetailsRepository = VehicleDetailsRepositoryImpl(
        localSource = vehicleDetailsLocalSource,
    )
    
    @Provides
    fun providesVehicleDetailsLocalSource(
        preferencesManager: PreferencesManager,
    ): VehicleDetailsLocalSource = VehicleDetailsLocalSourceImpl(
        preferencesManager = preferencesManager,
    )
}