package com.jrl.fuelprice.domain.alerts

import com.jrl.fuelprice.domain.alerts.models.AlertDomainModel
import com.jrl.fuelprice.domain.alerts.models.AlertGasStationDomainModel
import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import kotlinx.coroutines.flow.Flow

interface AlertRepository {
    
    suspend fun getAlerts(
        userId: String,
        fuelType: FuelTypeDomainEnum,
        location: LocationDomainModel?,
    ): Flow<List<AlertGasStationDomainModel>>
    
    suspend fun updateStatusAlert(alert: AlertDomainModel, userId: String)
}