package com.jrl.fuelprice.domain.alerts.usecases

import com.jrl.fuelprice.domain.alerts.AlertRepository
import com.jrl.fuelprice.domain.alerts.models.AlertDomainModel
import com.jrl.fuelprice.domain.messaging.MessagingRepository
import javax.inject.Inject

class UpdateStatusAlertUseCase @Inject constructor(
    private val alertRepository: AlertRepository,
    private val messagingRepository: MessagingRepository,
) {
    
    suspend operator fun invoke(alert: AlertDomainModel) {
        messagingRepository.getToken()?.let { userId ->
            alertRepository.updateStatusAlert(alert = alert, userId = userId)
        }
    }
}