package com.jrl.fuelprice.domain.gasstations

import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import com.jrl.fuelprice.domain.gasstations.models.GasStationDomainModel
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import com.jrl.fuelprice.domain.gasstations.models.RadioDomainEnum
import kotlinx.coroutines.flow.Flow

interface GasStationRepository {
    
    suspend fun getGasStationPagination(
        fuelType: FuelTypeDomainEnum,
        radio: RadioDomainEnum,
        location: LocationDomainModel?,
        fromIndex: Int,
    ): Flow<List<GasStationDomainModel>>
    
    suspend fun getGasStationById(
        id: Int,
        fuelType: FuelTypeDomainEnum,
        location: LocationDomainModel?,
    ): Result<GasStationDomainModel>
    
    suspend fun getFavoritesGasStations(
        fuelType: FuelTypeDomainEnum,
        location: LocationDomainModel?,
    ): Flow<List<GasStationDomainModel>>
    
    suspend fun saveFavoriteGasStation(
        gasStationId: Int,
        gasStationName: String,
        fuelType: FuelTypeDomainEnum,
        isFavorite: Boolean,
    )
    
    suspend fun saveRatingGasStation(gasStationId: Int, rating: Int, userId: String)
}