package com.jrl.fuelprice.domain.gasstations.models

enum class FuelTypeDomainEnum {
    BIODIESEL,
    DIESEL_A,
    DIESEL_B,
    DIESEL_PREMIUM,
    GASOLINE_95_E5,
    GASOLINE_95_E5_PREMIUM,
    GASOLINE_95_E10,
    GASOLINE_98_E5,
    GASOLINE_98_E10,
    HYDROGEN,
    ;

    companion object {
        fun FuelTypeDomainEnum.toText(): String =
            when (this) {
                BIODIESEL -> "biodiesel"
                DIESEL_A -> "diesel_a"
                DIESEL_B -> "diesel_b"
                DIESEL_PREMIUM -> "diesel_premium"
                GASOLINE_95_E5 -> "gasoline_95_e5"
                GASOLINE_95_E5_PREMIUM -> "gasoline_95_e5_premium"
                GASOLINE_95_E10 -> "gasoline_95_e10"
                GASOLINE_98_E5 -> "gasoline_98_e5"
                GASOLINE_98_E10 -> "gasoline_98_e10"
                HYDROGEN -> "hydrogen"
            }
        
        fun getVisibleFuels() = listOf(
            DIESEL_A,
            DIESEL_PREMIUM,
            GASOLINE_95_E5,
            GASOLINE_95_E5_PREMIUM,
            GASOLINE_98_E5,
        )
    }
}