package com.jrl.fuelprice.domain.gasstations.usecases

import com.jrl.fuelprice.domain.gasstations.GasStationRepository
import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import com.jrl.fuelprice.domain.gasstations.models.GasStationDomainModel
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.flow
import javax.inject.Inject

class GetFavoritesGasStationsUseCase @Inject constructor(
    private val repository: GasStationRepository,
) {

    suspend operator fun invoke(
        fuelType: FuelTypeDomainEnum,
        location: LocationDomainModel?,
    ): Flow<List<GasStationDomainModel>> = flow {
        repository.getFavoritesGasStations(
            fuelType = fuelType,
            location = location,
        ).collect {
            emit(it)
        }
    }
}