package com.jrl.fuelprice.domain.gasstations.usecases

import com.jrl.fuelprice.domain.gasstations.GasStationRepository
import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import com.jrl.fuelprice.domain.gasstations.models.GasStationDomainModel
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import javax.inject.Inject

class GetGasStationByIdUseCase @Inject constructor(
    private val repository: GasStationRepository,
) {
    
    suspend operator fun invoke(
        id: Int,
        fuelType: FuelTypeDomainEnum,
        location: LocationDomainModel?,
    ): Result<GasStationDomainModel> = repository.getGasStationById(
        id = id,
        fuelType = fuelType,
        location = location,
    )
}