package com.jrl.fuelprice.domain.gasstations.usecases

import com.jrl.fuelprice.domain.gasstations.GasStationRepository
import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import com.jrl.fuelprice.domain.gasstations.models.GasStationDomainModel
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import com.jrl.fuelprice.domain.gasstations.models.RadioDomainEnum
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.flow
import javax.inject.Inject

class GetGasStationsUseCase @Inject constructor(
    private val repository: GasStationRepository,
) {
    
    suspend operator fun invoke(
        fuelType: FuelTypeDomainEnum,
        radio: RadioDomainEnum,
        location: LocationDomainModel?,
        fromIndex: Int,
    ): Flow<List<GasStationDomainModel>> = flow {
        repository.getGasStationPagination(
            fuelType = fuelType,
            radio = radio,
            location = location,
            fromIndex = fromIndex,
        ).collect(::emit)
    }
}