package com.jrl.fuelprice.domain.gasstations.usecases

import com.jrl.fuelprice.domain.gasstations.GasStationRepository
import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import javax.inject.Inject

class SaveFavoriteGasStationUseCase @Inject constructor(
    private val repository: GasStationRepository,
) {

    suspend operator fun invoke(
        gasStationId: Int,
        gasStationName: String,
        fuelType: FuelTypeDomainEnum,
        isFavorite: Boolean,
    ) {
        repository.saveFavoriteGasStation(
            gasStationId = gasStationId,
            gasStationName = gasStationName,
            fuelType = fuelType,
            isFavorite = isFavorite,
        )
    }
}