package com.jrl.fuelprice.domain.gasstations.usecases

import com.jrl.fuelprice.domain.gasstations.GasStationRepository
import com.jrl.fuelprice.domain.messaging.MessagingRepository
import javax.inject.Inject

class SetRatingGasStationUseCase @Inject constructor(
    private val gasStationRepository: GasStationRepository,
    private val messagingRepository: MessagingRepository,
) {
    
    suspend operator fun invoke(
        gasStationId: Int,
        rating: Int,
    ) {
        messagingRepository.getToken()?.let { userId ->
            gasStationRepository.saveRatingGasStation(
                gasStationId = gasStationId,
                rating = rating,
                userId = userId,
            )
        }
    }
}