package com.jrl.fuelprice.presentation.commons

import android.app.Application
import com.google.android.libraries.places.api.Places
import com.jrl.fuelprice.BuildConfig
import com.jrl.fuelprice.presentation.notifications.NotificationService
import dagger.hilt.android.HiltAndroidApp
import javax.inject.Inject

@HiltAndroidApp
class FuelPriceApplication : Application() {
    
    @Inject
    lateinit var notificationService: NotificationService
    
    override fun onCreate() {
        super.onCreate()
        initPlaces()
        notificationService.createNotificationChannel(this)
    }
    
    private fun initPlaces() {
        Places.initialize(this, BuildConfig.PLACES_API_KEY)
    }
}