package com.jrl.fuelprice.presentation.commons.composables

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.rounded.Close
import androidx.compose.material3.Icon
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import com.jrl.fuelprice.R
import com.jrl.fuelprice.presentation.commons.theme.CustomColor
import com.jrl.fuelprice.presentation.commons.theme.CustomTextStyle
import com.jrl.fuelprice.presentation.commons.theme.Dimension

@Composable
fun ErrorComposable(
    modifier: Modifier = Modifier,
) {
    Row(
        modifier = modifier
            .background(CustomColor.Background)
            .padding(Dimension.Padding.Normal)
            .fillMaxSize(),
        verticalAlignment = Alignment.CenterVertically,
        horizontalArrangement = Arrangement.Center,
    ) {
        Icon(
            modifier = Modifier.size(32.dp),
            imageVector = Icons.Rounded.Close,
            tint = CustomColor.Red1,
            contentDescription = null,
        )
        Text(
            modifier = Modifier.padding(start = Dimension.Padding.Normal),
            text = stringResource(id = R.string.general_error),
            style = CustomTextStyle.TitleMedium.copy(
                color = CustomColor.Red1
            ),
        )
    }
}

@Preview
@Composable
private fun ErrorComposablePreview() {
    ErrorComposable()
}