package com.jrl.fuelprice.presentation.commons.composables

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.material3.CircularProgressIndicator
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import com.jrl.fuelprice.R
import com.jrl.fuelprice.presentation.commons.theme.CustomColor
import com.jrl.fuelprice.presentation.commons.theme.CustomTextStyle
import com.jrl.fuelprice.presentation.commons.theme.Dimension

@Composable
fun LoadingComposable(
    modifier: Modifier = Modifier,
) {
    Column(
        modifier = modifier
            .padding(Dimension.Padding.Normal)
            .fillMaxSize(),
        verticalArrangement = Arrangement.Center,
        horizontalAlignment = Alignment.CenterHorizontally,
    ) {
        CircularProgressIndicator(
            modifier = Modifier.size(64.dp),
            color = CustomColor.Primary,
            strokeWidth = 4.dp,
            trackColor = CustomColor.PrimaryLight,
        )
        Text(
            modifier = Modifier.padding(top = Dimension.Padding.Normal),
            text = stringResource(id = R.string.general_loading),
            style = CustomTextStyle.TitleLarge,
        )
    }
}

@Preview
@Composable
private fun LoadingComposablePreview() {
    LoadingComposable()
}