package com.jrl.fuelprice.presentation.commons.permissions.location

import android.annotation.SuppressLint
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import com.google.android.gms.location.FusedLocationProviderClient

@SuppressLint("MissingPermission")
@Composable
fun GetLocation(
    fusedLocationClient: FusedLocationProviderClient,
    onLocation: (location: LocationState) -> Unit,
) {
    var location by remember {
        mutableStateOf<LocationState>(LocationState.Loading)
    }
    LaunchedEffect(true) {
        fusedLocationClient.lastLocation.addOnSuccessListener {
            location = if (it != null) {
                LocationState.Success(it)
            } else {
                LocationState.Error("Location not found")
            }
            onLocation(location)
        }.addOnFailureListener { exception ->
            location = LocationState.Error(exception.message ?: "Unknown error")
            onLocation(location)
        }
    }
}