package com.jrl.fuelprice.presentation.commons.theme

import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.Font
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import com.jrl.fuelprice.R

object CustomTextStyle {
    val TitleLarge = TextStyle(
        fontFamily = Montserrat,
        fontWeight = FontWeight.Bold,
        fontSize = Dimension.FontSize.Large,
    )
    val TitleMedium = TitleLarge.copy(
        fontSize = Dimension.FontSize.Medium,
    )
    val Body = TitleLarge.copy(
        fontWeight = FontWeight.Normal,
        fontSize = Dimension.FontSize.Normal,
    )
    val BodyBold = Body.copy(fontWeight = FontWeight.Bold)
    val BodySmall = Body.copy(
        fontSize = Dimension.FontSize.Small,
    )
    val Hint = Body.copy(
        color = CustomColor.Grey2,
    )
}

val Montserrat = FontFamily(
    Font(R.font.font_montserrat_regular, FontWeight.Normal),
    Font(R.font.font_montserrat_medium, FontWeight.Medium),
    Font(R.font.font_montserrat_semi_bold, FontWeight.SemiBold),
    Font(R.font.font_montserrat_bold, FontWeight.Bold),
)