package com.jrl.fuelprice.presentation.commons.utils

import java.time.LocalDateTime
import java.time.temporal.ChronoUnit

fun LocalDateTime.getRelativeTimeTextFrom(relativeTime: LocalDateTime): String {
    val diffMinutes = ChronoUnit.MINUTES.between(this, relativeTime)
    val diffHours = ChronoUnit.HOURS.between(this, relativeTime)
    val diffDays = ChronoUnit.DAYS.between(this, relativeTime)
    return when {
        diffDays > 0 -> "Hace $diffDays días"
        diffHours > 0 -> "Hace $diffHours horas"
        diffMinutes > 0 -> "Hace $diffMinutes minutos"
        else -> "Justo ahora"
    }
}