package com.jrl.fuelprice.presentation.commons.utils

import java.util.Locale

fun Double.formatPriceWithCurrency(decimals: Int = 2): String =
    String.format(Locale("es", "ES"), "%.${decimals}f €", this)

fun Double.formatDistance(): String =
    if (this < 1.0f) {
        "%.0f m".format(this * 1000)
    } else {
        "%.1f km".format(this).replace('.', ',')
    }