package com.jrl.fuelprice.presentation.gasstationdetails

import com.google.common.collect.ImmutableList
import com.jrl.fuelprice.presentation.commons.permissions.location.LocationState
import com.jrl.fuelprice.presentation.commons.viewmodel.UiAction
import com.jrl.fuelprice.presentation.commons.viewmodel.UiModel
import com.jrl.fuelprice.presentation.commons.viewmodel.UiSingleEvent
import com.jrl.fuelprice.presentation.gasstationdetails.models.FuelPriceUiModel
import com.jrl.fuelprice.presentation.gasstationdetails.models.GasStationUiModel

data class GasStationDetailsUiModel(
    val gasStation: GasStationUiModel,
    val fuels: ImmutableList<FuelPriceUiModel>,
    val ratingGasStationByUser: Int?,
    val ratingBrandByUser: Int?,
) : UiModel

sealed class GasStationDetailsUiAction : UiAction {
    data class Load(val gasStationId: Int) : GasStationDetailsUiAction()
    data class OnLoadMore(val currentIndex: Int) : GasStationDetailsUiAction()
    data class OnClickFavorite(val item: GasStationUiModel) : GasStationDetailsUiAction()
    data class OnLocation(val locationState: LocationState) : GasStationDetailsUiAction()
    data class OnRatingGasStation(val rating: Int) : GasStationDetailsUiAction()
    data class OnRatingBrand(val rating: Int) : GasStationDetailsUiAction()
}

sealed class GasStationDetailsUiSingleEvent : UiSingleEvent