package com.jrl.fuelprice.presentation.home

import android.content.Intent
import android.os.Bundle
import androidx.activity.compose.setContent
import androidx.appcompat.app.AppCompatActivity
import com.jrl.fuelprice.presentation.commons.theme.FuelPriceTheme
import com.jrl.fuelprice.presentation.gasstationdetails.GasStationDetailsActivity
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class HomeActivity : AppCompatActivity() {
    
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            FuelPriceTheme {
                HomeNavigation(
                    onNavigateGasStationDetails = this::onNavigateGasStationDetails
                )
            }
        }
    }
    
    private fun onNavigateGasStationDetails(gasStationId: Int) {
        val intent = Intent(this, GasStationDetailsActivity::class.java)
        intent.putExtra(GasStationDetailsActivity.KEY_GAS_STATION_ID, gasStationId)
        this.startActivity(intent)
    }
}