package com.jrl.fuelprice.presentation.map

import com.google.common.collect.ImmutableList
import com.jrl.fuelprice.domain.gasstations.models.FuelTypeDomainEnum
import com.jrl.fuelprice.domain.gasstations.models.LocationDomainModel
import com.jrl.fuelprice.presentation.commons.permissions.location.LocationState
import com.jrl.fuelprice.presentation.commons.viewmodel.UiAction
import com.jrl.fuelprice.presentation.commons.viewmodel.UiModel
import com.jrl.fuelprice.presentation.commons.viewmodel.UiSingleEvent
import com.jrl.fuelprice.presentation.map.models.MapGasStationUiModel

data class MapUiModel(
    val fuelTypeSelected: FuelTypeDomainEnum,
    val fuelTypesToShow: ImmutableList<FuelTypeDomainEnum>,
    val currentLocation: LocationDomainModel? = null,
    val gasStations: ImmutableList<MapGasStationUiModel>,
) : UiModel

sealed class MapUiAction : UiAction {
    data object Load : MapUiAction()
    data class OnLocation(val locationState: LocationState) : MapUiAction()
    data class OnCameraMove(val location: LocationDomainModel) : MapUiAction()
}

sealed class MapUiSingleEvent : UiSingleEvent