package com.jrl.fuelprice.presentation.notifications

import android.app.NotificationChannel
import android.app.NotificationManager
import android.content.Context
import androidx.core.app.NotificationCompat
import com.jrl.fuelprice.R
import javax.inject.Inject
import kotlin.random.Random

class NotificationService @Inject constructor(
    private val context: Context
) {
    
    companion object {
        private const val CHANNEL_ID = "fuel_price_alerts"
        private const val CHANNEL_NAME = "Alertas de precio"
    }
    
    private val notificationManager = context.getSystemService(NotificationManager::class.java)
    
    fun createNotificationChannel(context: Context) {
        val channel = NotificationChannel(
            /* id = */ CHANNEL_ID,
            /* name = */ CHANNEL_NAME,
            /* importance = */ NotificationManager.IMPORTANCE_DEFAULT,
        )
        val notificationManager = context.getSystemService(NotificationManager::class.java)
        notificationManager?.createNotificationChannel(channel)
    }
    
    fun showBasicNotification(
        title: String,
        description: String,
    ) {
        val notification = NotificationCompat.Builder(context, CHANNEL_ID)
            .setSmallIcon(R.drawable.ic_favorite_on)
            .setContentTitle(title)
            .setContentText(description)
            .setPriority(NotificationManager.IMPORTANCE_HIGH)
            .setAutoCancel(true)
            .build()
        
        notificationManager.notify(
            /* id = */ Random.nextInt(),
            /* notification = */ notification
        )
    }
}