package com.jrl.fuelprice.presentation.search

import com.google.common.collect.ImmutableList
import com.jrl.fuelprice.domain.places.models.PlaceDomainModel
import com.jrl.fuelprice.presentation.commons.viewmodel.UiAction
import com.jrl.fuelprice.presentation.commons.viewmodel.UiModel
import com.jrl.fuelprice.presentation.commons.viewmodel.UiSingleEvent

data class SearchUiModel(
    val searchText: String,
    val places: ImmutableList<PlaceDomainModel>,
) : UiModel

sealed class SearchUiAction : UiAction {
    data object Load : SearchUiAction()
    data class OnSearch(val query: String) : SearchUiAction()
}

sealed class SearchUiSingleEvent : UiSingleEvent