package com.jrl.fuelprice.presentation.vehiclediscount

import com.google.common.collect.ImmutableList
import com.jrl.fuelprice.domain.discounts.models.DiscountDomainModel
import com.jrl.fuelprice.presentation.commons.viewmodel.UiAction
import com.jrl.fuelprice.presentation.commons.viewmodel.UiModel
import com.jrl.fuelprice.presentation.commons.viewmodel.UiSingleEvent

data class VehicleDiscountUiModel(
    val consumption: Double,
    val tank: Int,
    val discounts: ImmutableList<DiscountDomainModel>,
    val discountsEnable: ImmutableList<DiscountDomainModel>,
) : UiModel

sealed class VehicleDiscountUiAction : UiAction {
    data object Load : VehicleDiscountUiAction()
    data class OnChangeConsumption(val consumptionText: String) : VehicleDiscountUiAction()
    data class OnChangeTank(val tankText: String) : VehicleDiscountUiAction()
    data class OnAddDiscount(val discount: DiscountDomainModel) : VehicleDiscountUiAction()
    data class OnRemoveDiscount(val discount: DiscountDomainModel) : VehicleDiscountUiAction()
}

sealed class VehicleDiscountUiSingleEvent : UiSingleEvent