package com.jrl.fuelprice.data.commons

import com.google.gson.Gson
import com.google.gson.GsonBuilder
import com.jrl.fuelprice.shared.AbsBaseTest
import okhttp3.OkHttpClient
import okhttp3.mockwebserver.MockWebServer
import org.junit.jupiter.api.AfterEach
import org.junit.jupiter.api.BeforeEach
import java.util.concurrent.TimeUnit

abstract class AbsRemoteTest : AbsBaseTest() {
    
    protected lateinit var mockWebServer: MockWebServer
    protected lateinit var okHttpClient: OkHttpClient
    protected lateinit var gson: Gson
    
    @BeforeEach
    override fun setUp() {
        super.setUp()
        mockWebServer = MockWebServer()
        okHttpClient = OkHttpClient.Builder()
            .connectTimeout(1, TimeUnit.SECONDS)
            .readTimeout(1, TimeUnit.SECONDS)
            .writeTimeout(1, TimeUnit.SECONDS)
            .build()
        gson = GsonBuilder().create()
    }
    
    @AfterEach
    fun teardown() {
        mockWebServer.shutdown()
    }
}