package com.jrl.fuelprice.data.commons

import com.google.gson.Gson
import okhttp3.OkHttpClient
import okhttp3.mockwebserver.MockWebServer
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory

inline fun <reified T> buildApiTest(
    mockWebServer: MockWebServer,
    gson: Gson,
    okHttpClient: OkHttpClient,
): T = Retrofit.Builder()
    .baseUrl(mockWebServer.url("/"))
    .addConverterFactory((GsonConverterFactory.create(gson)))
    .client(okHttpClient)
    .build()
    .create(T::class.java)