package com.jrl.fuelprice.data.messaging.local

import com.jrl.fuelprice.data.commons.local.sharedpreferences.PreferencesManagerImpl
import com.jrl.fuelprice.shared.BaseRobolectricTest
import io.kotest.matchers.shouldBe
import org.junit.Test

class MessagingLocalSourceImplTest : BaseRobolectricTest() {
    
    private lateinit var messagingLocalSource: MessagingLocalSource
    
    override fun setUp() {
        super.setUp()
        messagingLocalSource = MessagingLocalSourceImpl(
            preferencesManager = PreferencesManagerImpl(context = context)
        )
    }
    
    @Test
    fun `GIVEN user token WHEN get it after save it THEN return user token`() {
        // 🔵 Given //
        val expectedFakeToken = "fakeToken"
        messagingLocalSource.saveToken(expectedFakeToken)
        
        // 🟡 When //
        val actualToken = messagingLocalSource.getToken()
        
        // 🟢 Then //
        actualToken.shouldBe(expectedFakeToken)
    }
}