package com.jrl.fuelprice.domain.gasstations.models

import java.time.LocalDateTime

object GasStationDomainModelTest {
    
    fun fake(): GasStationDomainModel = GasStationDomainModel(
        id = 123,
        name = "fake-name",
        place = GasStationPlaceDomainModel(
            municipalityId = 28079,
            municipalityName = "fake-municipality-name",
            postalCode = "20001",
            address = "fake-address",
            location = LocationDomainModel(40.0, 59.0),
            distanceKm = 123.0,
        ),
        schedule = "fake-schedule",
        prices = PriceDomainModel(
            biodiesel = 1.0,
            dieselA = 1.0,
            dieselB = 1.0,
            dieselPremium = 1.0,
            gasoline95e5 = 1.0,
            gasoline95e5Premium = 1.0,
            gasoline95e10 = 1.0,
            gasoline98e5 = 1.0,
            gasoline98e10 = 1.0,
            hydrogen = 1.0,
        ),
        saleType = SaleTypeDomainEnum.PUBLIC,
        brand = BrandDomainModel(
            id = 1,
            name = "fake-brand",
        ),
        isFavorite = false,
        score = 1.0,
        updateAt = LocalDateTime.of(2024, 1, 1, 0, 0),
    )
}