package com.jrl.fuelprice.presentation.search

import androidx.compose.ui.test.assertHasClickAction
import androidx.compose.ui.test.onNodeWithText
import com.google.common.collect.ImmutableList
import com.jrl.fuelprice.domain.places.models.PlaceDomainModel
import com.jrl.fuelprice.shared.BaseRobolectricTest
import org.junit.Test

class SearchSuccessComposableTest : BaseRobolectricTest() {
    
    @Test
    fun `GIVEN query search WHEN return results from data source THEN show results in screen`() {
        // 🔵 Given //
        val fakeResults = listOf("Toledo", "Tolox", "Tolosa", "Tollos", "Tolbaños")
        setContent {
            SearchSuccessComposable(
                uiModel = SearchUiModel(
                    searchText = "tol",
                    places = ImmutableList.of(
                        PlaceDomainModel(id = "fake-id-1", fullName = fakeResults[0]),
                        PlaceDomainModel(id = "fake-id-2", fullName = fakeResults[1]),
                        PlaceDomainModel(id = "fake-id-3", fullName = fakeResults[2]),
                        PlaceDomainModel(id = "fake-id-4", fullName = fakeResults[3]),
                        PlaceDomainModel(id = "fake-id-5", fullName = fakeResults[4]),
                    ),
                ),
                onSearch = {},
                onClickPlace = {},
            )
        }
        
        // 🟡 When //
        waitForIdle()
        
        // 🟢 Then //
        composeTestRule.onNodeWithText(text = fakeResults[0]).assertExists().assertHasClickAction()
        composeTestRule.onNodeWithText(text = fakeResults[1]).assertExists().assertHasClickAction()
        composeTestRule.onNodeWithText(text = fakeResults[2]).assertExists().assertHasClickAction()
        composeTestRule.onNodeWithText(text = fakeResults[3]).assertExists().assertHasClickAction()
        composeTestRule.onNodeWithText(text = fakeResults[4]).assertExists().assertHasClickAction()
    }
}